CoreGrailsPlugin (Grails 6.0.0)

Package: org.grails.plugins

## [Groovy] Class CoreGrailsPlugin

- org.grails.plugins.CoreGrailsPlugin

-     class CoreGrailsPlugin
      extends Plugin

  Configures the core shared beans within the Grails application context.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.Object` | `SPRING_PROXY_TARGET_CLASS_CONFIG` |
    `private java.lang.Object` | `version` |
    `private java.lang.Object` | `watchedResources` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `version`
    `java.lang.Object` | `watchedResources`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CoreGrailsPlugin ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`
    `` | `void` | `onChange(java.util.Map<java.lang.String, java.lang.Object> event)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Field Detail

    - #### private static final java.lang.Object SPRING_PROXY_TARGET_CLASS_CONFIG

    - #### private java.lang.Object version

    - #### private java.lang.Object watchedResources

  - ### Property Detail

    - #### java.lang.Object version

    - #### java.lang.Object watchedResources

  - ### Constructor Detail

    - #### CoreGrailsPlugin()

  - ### Method Detail

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()

    - #### @java.lang.Override @groovy.transform.CompileStatic void onChange(java.util.Map<java.lang.String, java.lang.Object> event)